
piwik - Anomalie #1720

Droit trop permissif sur piwik2

21/04/2011 10:57 - Emmanuel GARETTE

Statut: Fermé Début: 21/04/2011

Priorité: Haut Echéance:  

Assigné à: Gérald Schwartzmann % réalisé: 100%

Catégorie:  Temps estimé: 0.00 heure

Version cible: Envole 3.3.4 Temps passé: 1.00 heure

Distribution: EOLE 2.3   

Description

Le répertoire /var/www/html/piwik2 à des droits trop permissif :

drwxr-xr-x www-data www-data

il devrait être :

drwxr-x-- root www-data

De manière général, il ne faut jamais faire de chmod 777 sur un répertoire. Surtout sur Scribe lorsqu'il y a des postes GNU/Linux et

lorsque cela concerne des fichiers de configuration.

Le répertoire /var/www/html/piwik2/config à les permissions suivantes :

drwxrwxrwx www-data www-data

elle devrait être :

drwxrwx--- root www-data

Exemple de changements de droit (sans avoir testé l'application) :

chown -R root:www-data /var/www/html/piwik2

find /var/www/html/piwik2 -type d -exec chmod 750 {} \;

find /var/www/html/piwik2 -type f -exec chmod 640 {} \;

chmod 770 /var/www/html/piwik2/config

chmod 660 /var/www/html/piwik2/config/*

Demandes liées:

Lié à gibii - Anomalie #1721: Droit trop permissif sur gibii Fermé 21/04/2011

Lié à wordpress - Anomalie #3866: Droit trop permissif sur wordpress Fermé 25/07/2012

Révisions associées

Révision fd6b65c5 - 06/01/2012 15:57 - Gérald Schwartzmann

changement des droits sur le répertoire de l'application fixes #1720

Révision 17d85c70 - 24/01/2012 10:56 - Gérald Schwartzmann

changement des droits sur le répertoire de l'application fixes #1720

Révision 75187046 - 12/07/2017 11:58 - tomolimo 

Changed function Profile_User::getUserEntitiesForRight to return info as expected

Fixes #1720

Historique

#1 - 04/07/2011 16:11 - Joël Cuissinat

- Version cible mis à Envole 2.5.1 RC

#2 - 06/01/2012 15:58 - Gérald Schwartzmann

- Statut changé de Nouveau à Résolu
- % réalisé changé de 0 à 100

Appliqué par commit fd6b65c5b4d84f244126317b1564bfd312acdc55.

#3 - 06/01/2012 16:00 - Gérald Schwartzmann

- Assigné à mis à Gérald Schwartzmann

- Distribution mis à EOLE 2.2

#4 - 24/01/2012 18:06 - Gérald Schwartzmann

Appliqué par commit 17d85c703e90ff6b72468eaecfa4b472f886a318.

#5 - 26/01/2012 18:03 - Gérald Schwartzmann

- Statut changé de Résolu à Fermé

#6 - 25/07/2012 09:56 - Emmanuel GARETTE

- Statut changé de Fermé à À valider

- Version cible changé de Envole 2.5.1 RC à Envole 3.3.1

- Distribution changé de EOLE 2.2 à EOLE 2.3

Pour moi les droits ne sont pas bon :

drwxr-xr-x 12 www-data www-data 4096 2011-12-12 23:00 .

drwxr-xr-x  5 root     root     4096 2012-03-30 17:28 ..

drwxrwxrwx  2 www-data www-data 4096 2011-12-12 23:04 config

drwxr-xr-x 16 www-data www-data 4096 2011-12-12 23:00 core

-rwxr-xr-x  1 www-data www-data  266 2011-11-02 16:13 How to install Piwik.html

-rwxr-xr-x  1 www-data www-data 2806 2011-11-02 16:13 index.php

drwxr-xr-x  2 www-data www-data 4096 2011-12-12 23:00 js

drwxr-xr-x  2 www-data www-data 4096 2011-12-12 23:00 lang

drwxr-xr-x 15 www-data www-data 4096 2011-12-12 23:00 libs

-rwxr-xr-x  1 www-data www-data   43 2011-11-02 16:13 LICENSE

-rwxr-xr-x  1 www-data www-data  405 2011-11-02 16:13 Manifest.xml

drwxr-xr-x  5 www-data www-data 4096 2011-12-12 23:00 misc

-rwxr-xr-x  1 www-data www-data 1202 2011-11-02 16:13 parameters.xml

-rwxr-xr-x  1 www-data www-data 8365 2011-11-02 16:13 piwik.js

-rwxr-xr-x  1 www-data www-data 8322 2011-11-02 16:13 piwik.js.old

-rwxr-xr-x  1 www-data www-data 2458 2011-11-02 16:13 piwik.php

drwxr-xr-x 36 www-data www-data 4096 2011-12-12 23:00 plugins

-rwxr-xr-x  1 www-data www-data 1740 2011-11-02 16:13 README

-rwxr-xr-x  1 www-data www-data    1 2011-11-02 16:13 robots.txt

drwxr-xr-x  2 www-data www-data 4096 2011-12-12 23:00 tests

drwxr-xr-x  3 www-data www-data 4096 2011-12-12 23:00 themes

drwxr-xr-x  5 www-data www-data 4096 2011-12-12 23:00 tmp

-rwxr-xr-x  1 www-data www-data  500 2011-11-02 16:13 web.config

 

Les modifs n'ont peut être pas était porté sur 2.3.
https://dev-eole.ac-dijon.fr/projects/piwik2/repository/revisions/fd6b65c5b4d84f244126317b1564bfd312acdc55
https://dev-eole.ac-dijon.fr/projects/piwik2/repository/revisions/17d85c703e90ff6b72468eaecfa4b472f886a318


#7 - 24/10/2012 16:26 - Arnaud FORNEROT

- Version cible changé de Envole 3.3.1 à Envole 3.3.2

#8 - 13/02/2013 10:27 - Arnaud FORNEROT

- Version cible changé de Envole 3.3.2 à Envole 3.3.3

#9 - 09/04/2013 09:43 - Arnaud FORNEROT

- Version cible changé de Envole 3.3.3 à Envole 3.3.4

#10 - 16/04/2013 11:53 - Arnaud FORNEROT

Corrigé par Lucile ce jour

#11 - 16/04/2013 11:58 - Arnaud FORNEROT

- Statut changé de À valider à Fermé
